Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The API key to assign the workspace to. Accepts the canonical apikey_… form or the external_id:<value> form.

Example:

"apikey_01HXKD2E5NQM3T9AYWCFCSPNQY"

Body

application/json
workspaceId
string
required

The workspace to assign. Accepts the canonical ID or the external_id:<value> form.

Response

OK

An API key. Keys belong to the account and are managed by account administrators. A key reaches the workspaces it is assigned to, or every workspace (present and future) when all_workspaces is set. Its scopes are the same in every workspace it reaches.

metadata
object
required

AccountResourceMetadata is used to represent a resource that is associated to an account but not to a workspace.

spec
object
required

Configuration for an API key.

state
enum<string>
required
read-only

The current lifecycle state of the API key. Output only. Keys are created STATE_ENABLED; use the :disable and :enable actions to transition between states.

Available options:
STATE_UNSPECIFIED,
STATE_ENABLED,
STATE_DISABLED
info
object